Loading...
Searching...
No Matches
DigitCollect Struct Reference
Collaboration diagram for DigitCollect:

## Public Types

enum | State { IDLE , SYNC , ASYNC }
typedef vector< DigitCollect > | List

## Public Attributes

DigBuf | dbuf
std::string | term_digits
unsigned short | max_digits
unsigned long | digit_time_out
unsigned long | inter_digit_time_out
unsigned short | count
State | state
char * | buf
Timer | inter_digit_timer
Timer | digit_timer
pthread_mutex_t | mutex